%global dlrn_nvr 14.4.2-17.1.20230622024740.51e82ca
%global dlrn 1
%define upstream_version 14.4.2
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0xa7475c5f2122fec3f90343223fe3bf5aad1080e4
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-vswitch
Version: 14.4.2
Release: 17.1.20230622024741.51e82ca%{?dist}
Summary:        A module for providing things (ports, bridges) to vSwitches (OVS)
License:        ASL 2.0

URL:            https://launchpad.net/puppet-vswitch

Source0: 14.4.2-17.1.20230622024740.51e82ca.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=51e82ca53f11d55e20bed84a0dc9701b5c98b516

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

Requires:       puppet >= 2.7.0
Requires:       puppet-openstacklib >= 18.4.0
Requires:       puppet-stdlib       >= 5.0.0
Requires:       puppet-kmod

%description
A module for providing things (ports, bridges) to vSwitches (OVS)

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%setup -q -n openstack-vswitch-%{upstream_version}

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/vswitch/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/vswitch/



%files
%{_datadir}/openstack-puppet/modules/vswitch/


%changelog
* Wed Jun 21 2023 OSP Prod Chain <dev-null@redhat.com> 18.0.1-17.1.20230622024740.51e82ca
- Update patches

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 17.0.1-1.20221109014312.51e82ca
- Update patches

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 17.0.1-1.20221108090720.51e82ca
- Update patches
- setuptools: Disable auto discovery

* Tue Nov 01 2022 OSP Prod Chain <dev-null@redhat.com> 17.0.1-1.20221102031429.faf487c
- Update patches
- Prepare the final wallaby release

* Tue Sep 06 2022 OSP Prod Chain <dev-null@redhat.com> 16.3.1-1.20220906195705.33df2d2
- Update patches
- vs_config: Fix broken idempotency with nil/empty value

* Thu Jul 28 2022 OSP Prod Chain <dev-null@redhat.com> 16.3.1-1.20220728044401.ee7c31b
- Update patches

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 16.3.1-1.20220727211238.ee7c31b
- Do not use service resource to restart openvswitch service (rhbz#2103978)
- Do not restart ovs when updating other_config:emc-insert-inv-prob (rhbz#2103978)

* Sun Jul 24 2022 OSP Prod Chain <dev-null@redhat.com> 16.3.1-1.20220724225807.ee7c31b
- Update patches
- Do not use service resource to restart openvswitch service
- Do not restart ovs when updating other_config:emc-insert-inv-prob

* Thu Jul 21 2022 OSP Prod Chain <dev-null@redhat.com> 16.3.1-1.20220721153827.3facbb3
- Do not use service resource to restart openvswitch service (rhbz#2103978)
- Do not restart ovs when updating other_config:emc-insert-inv-prob (rhbz#2103978)

* Thu Jul 14 2022 OSP Prod Chain <dev-null@redhat.com> 16.3.1-1.20220714121556.3facbb3
- Update patches

* Wed Jul 13 2022 OSP Prod Chain <dev-null@redhat.com> 16.3.1-1.20220713080129.3facbb3
- Update patches

* Thu Mar 17 2022 OSP Prod Chain <dev-null@redhat.com> 16.3.0-0.20220317192607.3facbb3
- Update patches
- Fix default of vswitch::provider in RedHat OS

* Thu Feb 17 2022 OSP Prod Chain <dev-null@redhat.com> 16.1.1-0.20220217232809.13136d2
- Update patches

* Thu Feb 03 2022 OSP Prod Chain <dev-null@redhat.com> 16.1.1-0.20220204005943.13136d2
- Update patches
- Prepare a new Wallaby release

* Tue Jul 27 2021 OSP Prod Chain <dev-null@redhat.com> 15.2.0-0.20210728002722.56c2290
- Update patches

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.0-0.20210603223939.56c2290
- Update patches
- Set fixture paths for unit tests

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.0-0.20210528082109.ade37fb
- Update patches

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> 14.4.0-1
- Update patches
- Add missing openstacklib to dependencies

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> 14.4.0-1
- Update patches
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby
- Update sphinx to the latest version
- Prepare Wallaby RC1

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- metadata.json: debian 11
- Update supported Ubuntu version to Focal
- Add support for the hw-offload option in dpdk
- Add support for vlan_limit option

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M3

* Sat Jan 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M2

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Dec 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M1

* Wed Nov 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable

* Wed Oct 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix outdated files

* Thu Oct 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump version for the start of Wallaby

* Fri Oct 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/victoria

* Mon Sep 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria RC1

* Sat Sep 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set openstackdocs_auto_name to use 'project' as name
- Add Puppet Litmus

* Tue Sep 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M3

* Mon Aug 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use openstack_spec_helper from zuul checkout

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M2

* Sat Jun 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M1

* Thu Jun 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove compatibility codes for Puppet 3.x

* Tue Jun 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update Puppet requirement to >= 6.0.0

* Fri May 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump version for the start of Victoria

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Add CONTRIBUTING.rst

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump reno to 2.5.0

* Mon May 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add CentOS8 to nodesets

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump openstackdocstheme to 1.30.0

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change rpsec to rspec

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/ussuri

* Sat Apr 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri RC1

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M3 again
- Resolve duplicated requirement names in metadata

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M3

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add RHEL/CentOS 8 and Puppet 6 in metadata

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Cleanup for python 2.7 drop

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M2

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M1

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Convert all class usage to relative names

* Mon Nov 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update the constraints url

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/train




